Simplified XF 1.1.0

Public Types | Public Member Functions | Protected Member Functions | Friends | List of all members
interface::XFBehavior Class Referenceabstract

Interface to receive and process events. More...

`#include <behavior.h>`

Inheritance diagram for interface::XFBehavior:
Collaboration diagram for interface::XFBehavior:

## Public Types
using | TerminateBehavior = bool
| Type returned by the process() method.

## Public Member Functions
virtual void | startBehavior ()=0
| Starts the behavior. More...
virtual void | pushEvent (XFEvent *pEvent)=0
| Injects an event into the class. More...
virtual bool | deleteOnTerminate () const =0
| Tells XF to delete behavior when receiving terminate event. More...
virtual void | setDeleteOnTerminate (bool deleteBehaviour)=0
| Sets/Clears the 'delete on terminate' property. More...

## Protected Member Functions
virtual TerminateBehavior | process (const XFEvent *pEvent)=0
| Called by the dispatcher to process an event.

## Friends
class | ::XFDispatcher
class | ::XFDispatcherPort

## Detailed Description

Interface to receive and process events.

Interface that needs to be implemented by every class having a behavior. Interface methods are needed by the other parts of the XF.

This interface is used by the dispatcher to process events.

## Member Function Documentation

## ◆ deleteOnTerminate()

virtual bool interface::XFBehavior::deleteOnTerminate | ( |  | ) | const
| pure virtual

Tells XF to delete behavior when receiving terminate event.

Implemented in XFBehavior.

## ◆ pushEvent()

virtual void interface::XFBehavior::pushEvent | ( | XFEvent * | pEvent | ) |
| pure virtual

Injects an event into the class.

Implemented in XFBehavior.

## ◆ setDeleteOnTerminate()

virtual void interface::XFBehavior::setDeleteOnTerminate | ( | bool | deleteBehaviour | ) |
| pure virtual

Sets/Clears the 'delete on terminate' property.

Implemented in XFBehavior.

## ◆ startBehavior()

virtual void interface::XFBehavior::startBehavior | ( |  | ) |
| pure virtual

Starts the behavior.

Implemented in XFBehavior.

The documentation for this class was generated from the following file:

- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/src/simplified/xf/include/xf/interface/behavior.h